Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018452
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementcriticalalways2011-09-07 13:372011-10-12 01:56
ReporteregoitzView Statuspublic 
Assigned Togorkaion 
PriorityimmediateResolutionfixedFixed in Version3.0MP3
StatusclosedFix in branchpiFixed in SCM revision6a6951c29fef
ProjectionnoneETAnoneTarget Version3.0MP3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018452: Infinite loop when completing an invoice when it is invoicing partially an order

DescriptionInfinite loop when completing an invoice when it is invoicing partially an order
Steps To Reproduce-Create an order
-Create an invoice
-Create from order, but change the quantity
-Complete
*the process does not finish
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00184623.0MP3 closedgorkaion Infinite loop when completing an invoice when it is invoicing partially an order 

-  Notes
(0040812)
hgbot (developer)
2011-09-07 18:33

Repository: erp/devel/pi
Changeset: 3ac8149413e1bf406185fbfd514168c7b03fcfcf
Author: Gorka Ion Damián <gorkaion.damian <at> openbravo.com>
Date: Wed Sep 07 18:20:50 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3ac8149413e1bf406185fbfd514168c7b03fcfcf [^]

Fixed issue 18452.Properly manage partially invoiced orders.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_INV.xml
---
(0040821)
egoitz (developer)
2011-09-08 12:11

verified
(0041378)
hgbot (developer)
2011-09-29 19:33

Repository: erp/devel/pi
Changeset: 10a2c3d5417176f72dbb116b729a8c489d10f7f4
Author: Gorka Ion Damián <gorkaion.damian <at> openbravo.com>
Date: Wed Sep 07 18:20:50 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/10a2c3d5417176f72dbb116b729a8c489d10f7f4 [^]

Fixed issue 18452.Properly manage partially invoiced orders.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_INV.xml
---
(0041381)
hgbot (developer)
2011-09-29 19:33

Repository: erp/devel/pi
Changeset: 6a6951c29fefdc0aefd7171b2552e7ff00e30de2
Author: Gorka Ion Damián <gorkaion.damian <at> openbravo.com>
Date: Wed Sep 07 18:20:50 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6a6951c29fefdc0aefd7171b2552e7ff00e30de2 [^]

Fixed issue 18452.Properly manage partially invoiced orders.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_INV.xml
---
(0041598)
hudsonbot (developer)
2011-10-12 01:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-09-07 13:37 egoitz New Issue
2011-09-07 13:37 egoitz Assigned To => gorkaion
2011-09-07 13:37 egoitz Modules => Advanced Payables and Receivables Mngmt
2011-09-07 18:20 gorkaion Status new => scheduled
2011-09-07 18:20 gorkaion fix_in_branch => pi
2011-09-07 18:26 shuehner Issue Monitored: shuehner
2011-09-07 18:33 hgbot Checkin
2011-09-07 18:33 hgbot Note Added: 0040812
2011-09-07 18:33 hgbot Status scheduled => resolved
2011-09-07 18:33 hgbot Resolution open => fixed
2011-09-07 18:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3ac8149413e1bf406185fbfd514168c7b03fcfcf [^]
2011-09-08 12:11 egoitz Note Added: 0040821
2011-09-08 12:11 egoitz Status resolved => closed
2011-09-08 12:11 egoitz Fixed in Version => 3.0MP3
2011-09-29 19:33 hgbot Checkin
2011-09-29 19:33 hgbot Note Added: 0041378
2011-09-29 19:33 hgbot Status closed => resolved
2011-09-29 19:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/3ac8149413e1bf406185fbfd514168c7b03fcfcf [^] => http://code.openbravo.com/erp/devel/pi/rev/10a2c3d5417176f72dbb116b729a8c489d10f7f4 [^]
2011-09-29 19:33 hgbot Checkin
2011-09-29 19:33 hgbot Note Added: 0041381
2011-09-29 19:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/10a2c3d5417176f72dbb116b729a8c489d10f7f4 [^] => http://code.openbravo.com/erp/devel/pi/rev/6a6951c29fefdc0aefd7171b2552e7ff00e30de2 [^]
2011-10-03 09:01 egoitz Status resolved => closed
2011-10-12 01:56 hudsonbot Checkin
2011-10-12 01:56 hudsonbot Note Added: 0041598


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker